Bug 1260554 - Beaker UI should handle Panic more intelligent
Beaker UI should handle Panic more intelligent
Status: CLOSED INSUFFICIENT_DATA
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
20
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 04:52 EDT by Chao Ye
Modified: 2016-06-07 01:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-07 01:40:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chao Ye 2015-09-07 04:52:30 EDT
Description of problem:
Now beaker only have ignore options for watchdog:
==================================================
<watchdog panic="ignore"/>

But those Paniced job were not highlighted, the red color is similar with failure job. I suggest new option can be add to highlight there is a panic happend on this job to indicate users to check it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dan Callaghan 2015-09-07 21:37:22 EDT
I'm not sure what you're asking for here.

There is already a special result for Panic, it shows up as blue to distinguish it from normal Fail and Warn. However if you disable panic detection using <watchdog panic="ignore"/> then Beaker will not detect and report the panic.

Can you please explain more detail about the situation you have and the expected behaviour? What problem are you trying to solve?

Maybe you want a way to have the panic be *detected* and reported by Beaker but not abort the recipe, continue letting it run?
Comment 2 Roman Joost 2016-05-27 16:36:27 EDT
Dear Chao,

it would be helpful if you can clarify your report as Dan commented in comment 1 otherwise I'll have to close this Bug.
Comment 3 Roman Joost 2016-06-07 01:40:05 EDT
Closing this one due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.